Skip to main content

Conversion

Conversion Scheduled

Triggered when a currency conversion has been successfully booked and scheduled for future settlement.

Description

Sent when a currency conversion request has been accepted and scheduled for execution on the specified conversion date.

📦 Event Details

id string

Unique event identifier.

name string

Event name: conversion.scheduled.

account_id string

Unique identifier of the account associated with the conversion.

data object

Event payload containing foreign exchange conversion details.

conversion_id string

Unique identifier of the conversion.

short_reference_id string

Human-readable short reference for the conversion.

status string

Current conversion status. Value: SCHEDULED.

currency_pair string

Currency pair involved in the conversion, represented using two (3-letter ISO-4217) currency codes concatenated together (e.g., USD + SGDUSDSGD).

client_rate double

FX rate applied to the conversion.

buy_currency string

Currency being bought (3-letter ISO-4217 code).

buy_amount double

Amount of currency being bought.

sell_currency string

Currency being sold (3-letter ISO-4217 code).

sell_amount double

Amount of currency being sold.

conversion_date string

Scheduled date for the conversion (ISO 8601 date format: YYYY-MM-DD).

settlement_cutoff_time string

ISO 8601 timestamp indicating the Cutoff time for settlement.

created_at string

ISO 8601 timestamp indicating when the conversion was created.

created_at string

ISO 8601 timestamp indicating when the event was created.

version string

API version associated with the event.

Request Body Example

{
"id": "0d549741-f460-4457-8f15-2965b7af108dSCHEDULED",
"name": "conversion.scheduled",
"account_id": "acct_i74Os0HwMhmqPw9ND12TRQ",
"data": {
"conversion_id": "0d549741-f460-4457-8f15-2965b7af108d",
"short_reference_id": "C250429-5UBTP0F",
"status": "SCHEDULED",
"currency_pair": "USDSGD",
"client_rate": 1.315168,
"buy_currency": "USD",
"buy_amount": 1,
"sell_currency": "SGD",
"sell_amount": 1.32,
"conversion_date": "2025-04-29",
"settlement_cutoff_time": "2025-04-29T09:55:59+0000",
"created_at": "2025-04-29T09:55:59+0000"
},
"created_at": "2025-04-29T09:55:59+0000",
"version": "2025-02-14"
}

Conversion Settled

Triggered when funds from a currency conversion have been successfully settled in the wallet.

Description

Sent when a scheduled currency conversion has been successfully executed and funds are available in the wallet.

📦 Event Details

id string

Unique event identifier.

name string

Event name: conversion.settled.

account_id string

Unique identifier of the account associated with the conversion.

data object

Event payload containing foreign exchange conversion details.

conversion_id string

Unique identifier of the conversion.

short_reference_id string

Human-readable short reference for the conversion.

status string

Current conversion status. Value: SETTLED.

currency_pair string

Currency pair involved in the conversion, represented using two (3-letter ISO-4217) currency codes concatenated together (e.g., USD + SGDUSDSGD).

client_rate double

FX rate applied to the conversion.

buy_currency string

Currency being bought (3-letter ISO-4217 code).

buy_amount double

Amount of currency being bought.

sell_currency string

Currency being sold (3-letter ISO-4217 code).

sell_amount double

Amount of currency being sold.

conversion_date string

Date on which the conversion was settled (ISO 8601 date format: YYYY-MM-DD).

updated_at string

ISO 8601 timestamp indicating when the conversion was settled.

created_at string

ISO 8601 timestamp indicating when the event was created.

version string

API version associated with the event.

Request Body Example

{
"id": "0d549741-f460-4457-8f15-2965b7af108dSETTLED",
"name": "conversion.settled",
"account_id": "acct_i74Os0HwMhmqPw9ND12TRQ",
"data": {
"conversion_id": "0d549741-f460-4457-8f15-2965b7af108d",
"short_reference_id": "C250429-5UBTP0F",
"status": "SETTLED",
"currency_pair": "USDSGD",
"client_rate": 1.315168,
"buy_currency": "USD",
"buy_amount": 1,
"sell_currency": "SGD",
"sell_amount": 1.32,
"conversion_date": "2025-04-29",
"updated_at": "2025-04-29T09:55:59+0000"
},
"created_at": "2025-04-29T09:55:59+0000",
"version": "2025-02-14"
}